# Example mysql config file for medium systems.
#
# This is for a system with little memory (32M - 64M) where MySQL plays
# a important part and systems up to 128M very MySQL is used together with
# other programs (like a web server)
#
# You can copy this file to
# /etc/mf.cnf to set global options,
# mysql-data-dir/my.cnf to set server-specific options (in this
# installation this directory is /usr/local/mysql/var) or
# ~/.my.cnf to set user-specific options.
#
# One can in this file use all long options that the program supports.
# If you want to know which options a program support, run the program
# with --help option.

# The following options will be passed to all MySQL clients
[client]
#password	= your_password
port		= 3306
socket		= /tmp/mysql.sock

# Here follows entries for some specific programs

# The MySQL server
[mysqld]
port		= 3306
socket		= /tmp/mysql.sock
skip-locking
set-variable	= key_buffer=16M
#set-variable	= max_allowed_packet=1M
set-variable	= table_cache=64
set-variable	= sort_buffer=512K
set-variable	= net_buffer_length=8K
set-variable	= myisam_sort_buffer_size=8M

#master=====================>
log-bin
 
server-id	= 1

#slave====================>
master-host = cdr
master-user = root
master-password = rootaa
master-port = 3306
#master-connect-retry = 30
#slave-read-timeout = 10

replicate-do-db	=AUC_Para 
replicate-do-db	=BssOmcDb 
replicate-do-db	=CDR_DB 
replicate-do-db	=CSTA_DB 
replicate-do-db	=HlrDb 
replicate-do-db	=OBJ_0 
replicate-do-db	=OBJ_110 
replicate-do-db	=OBJ_111 
replicate-do-db	=OBJ_120 
replicate-do-db	=OBJ_130 
replicate-do-db	=OBJ_222 
replicate-do-db	=OBJ_223 
replicate-do-db	=OBJ_224 
replicate-do-db	=OBJ_232 
replicate-do-db	=OBJ_312 
replicate-do-db	=OBJ_320 
replicate-do-db	=OBJ_322 
replicate-do-db	=OBJ_325 
replicate-do-db	=OBJ_330 
replicate-do-db	=OBJ_340 
replicate-do-db	=OBJ_350 
replicate-do-db	=OBJ_360 
replicate-do-db	=OBJ_370 
replicate-do-db	=OMC_PUB 
replicate-ignore-table	=OMC_PUB.dbAlarm
replicate-ignore-table	=OMC_PUB.parameterComm
replicate-ignore-table	=OMC_PUB.subscriberComm
replicate-do-db	=SmscDb 
replicate-do-db	=VlrDb 
replicate-do-db	=account_db 
replicate-do-db	=heap 
replicate-do-db	=mysql 
replicate-do-db	=parameter_db 
replicate-do-db	=refresh_card 
replicate-do-db	=report_db 
replicate-do-db	=tariff_db 

#replicate-do-table	=*.*

# Uncomment the following if you are using BDB tables
#set-variable	= bdb_cache_size=4M
#set-variable	= bdb_max_lock=10000

# Point the following paths to different dedicated disks
#tmpdir		= /tmp/		
#log-update 	= /path-to-dedicated-directory/hostname

[mysqldump]
quick
set-variable	= max_allowed_packet=16M

[mysql]
no-auto-rehash
#safe-updates	# Remove the comment character if you are not familiar with SQL

[isamchk]
set-variable	= key_buffer=20M
set-variable	= sort_buffer=20M
set-variable	= read_buffer=2M
set-variable	= write_buffer=2M

[myisamchk]
set-variable	= key_buffer=20M
set-variable	= sort_buffer=20M
set-variable	= read_buffer=2M
set-variable	= write_buffer=2M

[mysqlhotcopy]
interactive-timeout
